using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Linq;
using System.Windows.Forms;
using DevExpress.XtraEditors;

namespace LFP_Manager.Controls
{
    public partial class ucEventLog : DevExpress.XtraEditors.XtraUserControl
    {
        #region CONSTRUCTORS

        public ucEventLog()
        {
            InitializeComponent();
        }

        #endregion

        #region PUBLIC UPDATE

        public void EventUpdate(string aEvent)
        {
            if (this.InvokeRequired)
            {
                this.Invoke(new MethodInvoker(delegate ()
                {
                    if (cbPacketLog.Checked)
                        meDataLog.Text = aEvent + meDataLog.Text;
                }));
            }
            else
            {
                if (cbPacketLog.Checked)
                    meDataLog.Text = aEvent + meDataLog.Text;
            }
        }

        #endregion

        #region ENVENT

        private void btnLogClear_Click(object sender, EventArgs e)
        {
            meDataLog.Text = "";
        }

        #endregion
    }
}
